%define svnrel 49

Name:		smartcardpp
Version:	3.1.0.%{svnrel}
Release:	%mkrel 1
Summary:	A library for accessing smart cards

Group:		System/Libraries
License:	BSD
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/smartcardpp\ smartcardpp-3.1.0.$(svn info https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/smartcardpp |grep Revision|awk '{print $2}') && tar cjf smartcardpp-3.1.0.$(svn info https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/smartcardpp |grep Revision|awk '{print $2}').tar.bz2 smartcardpp-3.1.0.$(svn info https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/smartcardpp |grep Revision|awk '{print $2}')
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	pcsc-lite-devel

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%package	-n %{name}-devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pcsc-lite-devel

%description 	-n %{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use smart cards.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}/build


%files
%{_bindir}/card-test
%doc COPYING

%files -n %{name}-devel
%{_includedir}/smartcardpp/
%{_libdir}/*.a


%changelog

* Sun Jan 08 2012 sander85 <sander85> 3.1.0.49-1.mga2
+ Revision: 193271
- clean spec
- new svn revision (49)

* Fri Apr 22 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89793
- fix description of devel package
- imported package smartcardpp

